> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company logo by domain

> Attempts to retrieve a company logo by its domain. Cached logos are stored in MySQL for 90 days before they are refreshed via the logo.dev API.

  This endpoint supports both JSON and PNG responses.

  The path should contain the domain name.

  Example: google.com

  If the logo cannot be served and a PNG response is requested, a magnifying-glass fallback icon is returned.



## OpenAPI

````yaml get /v2/assets/logos/{domain}
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/assets/logos/{domain}:
    get:
      tags:
        - Assets
      summary: Get a company logo by domain
      description: >-
        Attempts to retrieve a company logo by its domain. Cached logos are
        stored in MySQL for 90 days before they are refreshed via the logo.dev
        API.

          This endpoint supports both JSON and PNG responses.

          The path should contain the domain name.

          Example: google.com

          If the logo cannot be served and a PNG response is requested, a magnifying-glass fallback icon is returned.
      parameters:
        - schema:
            type: string
            pattern: >-
              ^(?!-)[a-zA-Z0-9-]{1,63}(?<!-)(?:\.(?!-)[a-zA-Z0-9-]{1,63}(?<!-))+$
            description: The domain name for the logo request (e.g., company-domain.com)
          required: true
          description: The domain name for the logo request (e.g., company-domain.com)
          name: domain
          in: path
        - schema:
            type: string
            enum:
              - image/png
              - application/json
            default: image/png
            description: >-
              Content type for the image endpoint. Defaults to 'image/png'. Use
              'application/json' to get base64 encoded image.
          required: false
          description: >-
            Content type for the image endpoint. Defaults to 'image/png'. Use
            'application/json' to get base64 encoded image.
          name: contentType
          in: query
      responses:
        '200':
          description: Company logo or fallback monogram response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
        '500':
          description: Failed to fetch logo from external service
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````